// SOPSUYSI_RS232.h
#include "config.h"
#ifdef HAVE_TERMIOS_H
       #include <termios.h>
       typedef int rs232port_t;
       typedef speed_t rs232speed_t;
       typedef enum {rs232parityNo=(~PARENB),rs232parityOdd=(PARENB|PARODD),rs232parityEven=(PARENB|~PARODD)}rs232parity;
#endif
#ifdef HAVE_WINDOWS_H
       #include <windows.h>
       typedef HANDLE rs232port_t;
       typedef DWORD rs232speed_t;
       typedef enum {rs232parityNo=NOPARITY,rs232parityOdd=ODDPARITY,rs232parityEven=EVENPARITY}rs232parity;
#endif

rs232port_t rs232open(char* psPortName);
int rs232close(rs232port_t fd);
int rs232setup(rs232port_t fd, int ChSize, int BaudeRate, rs232parity Parity, int NbStop);
int rs232write(rs232port_t fd,char *psWrite, int WriteBufferSize);
int rs232read(rs232port_t fd,char *psRead, int ReadBufferSize);
int rs232setparity(rs232port_t fd, rs232parity Parity);
int rs232setnbstop(rs232port_t fd, int NbStop);
int rs232setcsize(rs232port_t fd, int ChSize);
int rs232setbaudrate(rs232port_t fd, int baudrate);